# 75. Mutation: „EquationMap“ asynchron generieren

## Übersicht

Erzeuge "EquationMap" für das "Feld" asynchron.

{% hint style="info" %}
Der asynchrone Ansatz legt eine Aufgabe (Erzeuge "`generateEquationMap`") zur Verarbeitung ab und die Subscription wird empfangen, sobald die Verarbeitung abgeschlossen ist.
{% endhint %}

## Unterstützte Datenschichten

EquationMaps können auf jeder in GeoPard verfügbaren Datenschicht ausgeführt werden, einschließlich Satellitenbildern, Bodendatensätzen, Ertragsdatensätzen, As-Applied-Datensätzen, Topographie, Zonenkarten und sogar anderen EquationMaps. Das Format der `dataVariables` Eingabe variiert je nach ausgewählter Datenschicht.

```graphql
dataVariables: [
  # Ertragsdatensatz
  {
    variable: "yield_variable"
    yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
    yieldAttribute: "<placeholder_of_yielddataset_attribute>"
  }, 
  
  # Bodendatensatz
  {
    variable: "soil_variable"
    soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
    soilAttribute: "<placeholder_of_soildataset_attribute>"
  },
  
  # As-Applied-Datensatz
  {
    variable: "asapplied_variable"
    asAppliedDatasetUuid: "<placeholder_of_asapplieddataset_uuid>"
    asAppliedAttribute: "<placeholder_of_asapplieddataset_attribute>"
  },
  
  # Satellitenbild
  {
    variable: "satelliteimage_variable"
    satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]
    index: "<placeholder_of_satelliteimage_vegetation_index>"
  },
  
  # Topographiekarte
  {
    variable: "topography_variable"
    topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    topographyAttribute: "<placeholder_of_topography_attribute>"
  },
  
  # EquationMap
  {
    variable: "equationmap_variable"
    equationMapUuid: "<placeholder_of_equationmap_uuid>"
  },
  
  # Zonenkarte (VectorAnalysisMap)
  {
    variable: "zonesmap_variable"
    vectorAnalysisMapUuid: "<placeholder_of_zonesmap_uuid>"
  }
]
```

## Beispiel

<pre class="language-graphql" data-overflow="wrap" data-line-numbers><code class="lang-graphql">mutation GenerateEquationMap {
  generateEquationMapAsync(input: {
    fieldUuid: "&#x3C;placeholder_of_field_uuid>"
    gridPixelSizeX: <a data-footnote-ref href="#user-content-fn-1">30</a>
    gridPixelSizeY: <a data-footnote-ref href="#user-content-fn-1">30</a>
    type: FERTILIZING
    equationAsText:"""calculated = yield_vol/prod + 0.5
if calculated >= 9:
    result = 35
elif calculated >=5  and calculated &#x3C; 9:
    result = 25
else:
    result = 15
    """
    equationResultVariable: "result"
    dataVariables: [{
      variable: "yield_vol"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Yld_Vol_We"
    }, {
      variable: "prod"
      yieldDatasetUuid: "&#x3C;placeholder_of_yielddataset_uuid>"
      yieldAttribute: "Prod_ac_h_"
    }]
  }) {
    uuid
    fieldUuid
    statusCode
  }
}
</code></pre>

[^1]: geben Sie hier eine beliebige Pixelgröße in Metern an


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/75.-mutation-equationmap-asynchron-generieren.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
